import java.awt.*;
public abstract class PlayableElement {
   private final int myId; /* to identify each element within its category */
   
   protected PlayableElement( int id){
      myId = id;
   }
   protected int getId() {
      return myId;
   }
   public abstract Vector2D getPosition();
   public abstract void setPosition(Vector2D pos);
   public abstract int getCol();
   public abstract int getRow();
   public abstract void paintView(Graphics2D g);
 }